{
  "type": "extendedcrafting:shaped_table",
  "pattern": [
    "ABCCCBA",
    "BDEFEDB",
    "CEGGGEC",
    "CFGHGFC",
    "CEGGGEC",
    "BDEFEDB",
    "ABCCCBA"
  ],
  "key": {
    "A": {
      "item": "minecraft:diamond"
    },
    "B": {
      "item": "mmorpg:mat/golden_orb"
    },
    "C": {
      "item": "minecraft:gold_ingot"
    },
    "D": {
      "item": "mmorpg:currency/reroll_primary_stats_numbers"
    },
    "E": {
      "item": "mmorpg:currency/orb_of_transmutation"
    },
    "F": {
      "item": "mmorpg:currency/randomize_affixes"
    },
    "G": {
      "item": "mmorpg:currency/plus_one_upgrade"
    },
    "H": {
      "item": "mmorpg:currency/epic_safe_scroll"
    }
  },
  "result": {
    "item": "mmorpg:currency/legendary_safe_scroll"
  }
}